#pragma once 
#include <vector>
#include <string>
#include <sstream>
#include <netdb.h>



namespace SimCore {


    class UtilFunctions
    {
        public:
            static std::vector<std::string> explode(std::string const & s, char delim);
            static std::string implode(const std::vector<std::string> &v , char delim);

            static bool isNumber(const std::string& s);
            static void check_host_name(int hostname);
            static void check_host_entry(struct hostent * hostentry);
            static void IP_formatter(char *IPbuffer);
            static std::string getOwnIP();
            static double DegToRad(double deg);
            static double RadToDeg(double rad);

    };

}